Skip to main content
GET
/
v2
/
fungible
/
assets
Get Assets
curl --request GET \
  --url https://router-api.initia.xyz/v2/fungible/assets
{
  "chain_to_assets_map": {
    "interwoven-1": {
      "assets": [
        {
          "chain_id": "interwoven-1",
          "denom": "uinit",
          "decimals": 6,
          "symbol": "INIT",
          "name": "Initia",
          "logo_uri": "https://raw.githubusercontent.com/.../init.png",
          "is_cw20": false,
          "is_evm": false,
          "is_svm": false,
          "origin_chain_id": "interwoven-1",
          "origin_denom": "uinit",
          "trace": ""
        }
      ]
    }
  }
}

Query Parameters

chain_ids
string

Comma-separated list of chain IDs to filter by (e.g. "1,42161,interwoven-1"). Returns all supported chains if omitted.

Response

200 - application/json

Successful response

chain_to_assets_map
object

A map of chain IDs to their supported assets.